Bug 1300499 - AttributeError: 'NoneType' object has no attribute 'get_connection_type'
AttributeError: 'NoneType' object has no attribute 'get_connection_type'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 20:39 EST by Brian Lane
Modified: 2017-08-08 08:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:41:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-tb (3.71 MB, text/plain)
2016-01-20 20:40 EST, Brian Lane
no flags Details
Attempt to fix (1.23 KB, patch)
2016-01-21 12:51 EST, Brian Lane
no flags Details | Diff

  None (edit)
Description Brian Lane 2016-01-20 20:39:31 EST
I am seeing this sometimes while running my docker-anaconda-addon it isn't happening every time so it's been hard to track down. While docker is running it sets up various networks and then tears them down.

Attached is the anaconda-tb file.
Comment 1 Brian Lane 2016-01-20 20:40 EST
Created attachment 1116759 [details]
anaconda-tb
Comment 2 Brian Lane 2016-01-21 12:51 EST
Created attachment 1116984 [details]
Attempt to fix

This didn't work though, it just pushed the problem to a different spot:

anaconda 24.9-1 exception report
Traceback (most recent call first):
  File "/tmp/updates/pyanaconda/ui/gui/spokes/network.py", line 721, in add_device_to_list
    if rc.get_setting_connection().get_read_only():
  File "/tmp/updates/pyanaconda/ui/gui/spokes/network.py", line 514, in on_device_added
    self.add_device_to_list(device)
AttributeError: 'NoneType' object has no attribute 'get_read_only'
Comment 3 Radek Vykydal 2016-01-22 08:10:53 EST
I think we could and probably should do two things (and I want to look into it):

- Handle special devices set up by virtualization (docker -> docker0, vethXX..., libvirt -> virbr0 ..) more robustly in NetworkSpoke, perhaps filter them out, or make them read-only. We need to stop relying on some assumptions about network devices which are correct only in installer environment (which is something we'll need to do also because of NetworkSpoke in initial setup - virbr0).

- Regarding this specific case, ie the devices being created at post install stage, we could also disconnect NetworkSpoke device/connection state change callbacks after leaving summary hub. We already have disconnect_client_callbacks function (called when leaving network standalone spoke), but I can't find any suitable hook for calling it eg when leaving summary hub. I'd imagine something like Hubs calling spoke.continue(self) for all its spokes when leaving the hub (on continue clicked) and network spoke defining the continue method to call disconnect_client_callbacks.

Short term solution with more robust checking for None values, exceptions etc might be more workable for you now, it just can be rather tricky as you see.
Comment 4 Brian Lane 2016-01-28 14:20:42 EST
https://github.com/rhinstaller/anaconda/pull/487

Adds a finished method that kills nmce and disconnects the callbacks when continue is clicked on the summary hub.
Comment 5 Jan Kurik 2016-02-24 09:18:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Mike McCune 2016-03-28 18:19:01 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Fedora End Of Life 2017-07-25 15:49:21 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-08-08 08:41:17 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.